Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/files/12345/metadata" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"$parent": "folder_59449484661,",
"$template": "marketingCollateral",
"$scope": "enterprise_27335",
"$version": 1
}
],
"limit": 100
}指定したファイルのすべてのメタデータを取得します。
curl -i -X GET "https://api.box.com/2.0/files/12345/metadata" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"$parent": "folder_59449484661,",
"$template": "marketingCollateral",
"$scope": "enterprise_27335",
"$version": 1
}
],
"limit": 100
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
ファイルを表す一意の識別子。
ファイルIDを確認するには、ウェブアプリケーションでファイルにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/files/123の場合、file_idは123です。
デフォルトでAPI viewで返されるメタデータ階層フィールドの値。つまり、この値はメタデータ階層ノードの識別子で表されます。メタデータ階層値がメタデータ階層ノードの詳細情報で表されるHydrated viewを取得するには、このパラメータをhydratedに設定します。これは、このパラメータで唯一サポートされている値です。
このページは役に立ちましたか?